Global Fishing Watch API
Examples4Wings Reports

Report AIS vessel presence by region - grouped by gear type (JSON)

Example 4Wings report of AIS vessel presence by region, grouped by gear type, as JSON.

To get details of existing regions, check Regions in the Reference data section

Query parameters

ParameterValueDescription
spatial-resolutionLOWLow spatial resolution
temporal-resolutionDAILYAggregate by day
group-byGEARTYPEGroup results by vessel type
datasets[0]public-global-presence:latestAIS vessel presence dataset
date-range2022-01-01,2022-05-01Filter to this time period
formatJSONResponse format

Request body

FieldValueDescription
region.datasetpublic-eez-areasExisting region dataset
region.id5690Russian EEZ region id

Request

# Make sure to replace [TOKEN] with your API Access Token.
curl --location --request POST 'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=LOW&temporal-resolution=DAILY&group-by=GEARTYPE&datasets[0]=public-global-presence:latest&date-range=2022-01-01,2022-05-01&format=JSON' \
--header 'Authorization: Bearer [TOKEN]' \
--header 'Content-Type: application/json' \
--data-raw '{
    "region": {
        "dataset": "public-eez-areas",
        "id": 5690
    }
}'

Response

{
  "total": 1,
  "limit": null,
  "offset": null,
  "nextOffset": null,
  "metadata": {},
  "entries": [
    {
      "public-global-presence:v3.0": [
        {
          "date": "2022-01-01",
          "vessel_type": "cargo",
          "hours": 245.5,
          "lat": -55.3,
          "lon": 35.2,
          "vesselIDs": 12
        },
        {
          "date": "2022-01-01",
          "vessel_type": "carrier",
          "hours": 189.75,
          "lat": -55.1,
          "lon": 35.4,
          "vesselIDs": 8
        }
      ]
    }
  ]
}